## policykit-1 0.113

=== debian/changelog ===
policykit-1 (0.113-2) experimental; urgency=medium

  [ Simon McVittie ]
  * policykit-1.links: statically alias polkit.service (upstream's name)
    as polkitd.service (Debian's historical name)

  [ Martin Pitt ]
  * debian/policykit-1.{pre,pos}inst: Temporarily mask polkitd.service while
    policykit-1 is unpackaged but not yet configured. During that time we
    don't yet have our D-Bus policy in /etc so that polkitd cannot work yet.
    This can be dropped once the D-Bus policy moves to /usr.
    (Closes: #794723, LP: #1447654)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Oct 2015 08:28:11 +0200

policykit-1 (0.113-1) experimental; urgency=medium

  * Team upload.

  [ Martin Pitt ]
  * policykit-1.postinst: Don't kill polkitd under systemd, but properly
    restart it. This avoids killing it shortly after systemd tries to
    bus-activate it on installation. (LP: #1447654)

  [ Simon McVittie ]
  * Disable silent build rules. (Previously done in Ubuntu, although
    it seems to have been lost in a merge somewhere.)
  * New upstream release
    - drop most patches: they either came from upstream, or have been
      merged upstream
    - add new function to symbols file
    - fixes CVE-2015-4625, CVE-2015-3218, CVE-2015-3255, CVE-2015-3256
  * Annotate remaining patches with a bit more information. They are:
    - 01_pam_polkit.patch: use Debian's common-* infrastructure,
      plus pam_env to get the global environment and locale.
      Debian-specific.
    - 02_gettext.patch: Use gettext to translate .policy files at
      runtime, allowing for Ubuntu-style language packs.
      Debian-specific (mainly for Ubuntu's benefit, really).
    - 05_revert-admin-identities-unix-group-wheel.patch: Debian does
      not use the "wheel" group like Red Hat derivatives do;
      treat uid 0 as the administrative identity instead.
      Debian-specific.
    - 08_chdir_root.patch: Explicitly use chdir("/") instead of
      relying on user's home in `getent passwd` being set properly.
      Potentially upstreamable?
  * policykit-1.postinst: restart polkit.service, not polkitd.service
    (which doesn't exist)

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Jul 2015 13:33:59 +0100

policykit-1 (0.112-5) experimental; urgency=medium

  * Team upload.
  * Go back to mozjs 1.8.5, like the version in unstable: mozjs 17 has
    been removed from Debian, and mozjs 24 requires significant upstream
    changes and no longer has a C API (Closes: #776744)
  * Add a symlink so the old library can run the new agent helper
    (Closes: #699447)
  * Add patch from upstream to work around older versions of libpam-systemd
    which would give root processes the real uid's XDG_RUNTIME_DIR
    under su; it shouldn't be necessary any more, but is harmless
    (Closes: #772125)
  * Replace 03_complete_session.patch with a change from upstream
    which seems like a more correct solution for LP#445303, LP#649939
  * Add patches from upstream to treat background processes as part of
    the same uid's active GUI session if any, fixing use of
    dbus-user-session (Closes: #779988)
  * Add patches from upstream to fix some memory leaks (Closes: #775158,
    LP: #1417637)
  * Add patch from upstream to fix redundant removal of an event source
  * Add patch to use libsystemd instead of the libsystemd-login compat
    library (Closes: #779756)

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Mar 2015 18:13:28 +0100

policykit-1 (0.112-4) experimental; urgency=medium

  [ Andreas Henriksson ]
  * Install typelib files into MA libdir.

  [ Martin Pitt ]
  * Rebuild against libsystemd0. This drops the last remaining dependency to
    libsystemd-login0. (Closes: #771281)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Fri, 28 Nov 2014 10:15:06 +0100

policykit-1 (0.112-3) experimental; urgency=medium

  * Team upload.
  * debian/rules: Really enable logind support on linux architectures only
  * debian/control: Use canonical VCS-* URL's
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/control: Depends against libpam-systemd instead of just systemd
  * debian/control: Add a Breaks against gdm3 (<< 3.8.4-7~) to ensure it
    registers a logind session properly (Closes: #745983)
  * debian/policykit-1.postinst: Explicitly set a home directory for the
    polkitd user (Closes: #748981)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Sep 2014 14:22:54 +0200

policykit-1 (0.112-2) experimental; urgency=low

  * Use logind on linux and consolekit on non-linux
  * Update to mozjs17

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 21:36:55 +0100

policykit-1 (0.112-1) experimental; urgency=low

  * New upstream release.
    - Fixes CVE-2013-4288, unix-process subject for authorization is racy.
      (Closes: #723717)
  * Remove 00git_pkexec_pam_env.patch and 09_link_libmozjs.patch, both merged
    upstream.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Sep 2013 17:39:54 +0200

policykit-1 (0.110-3) experimental; urgency=low

  [ Martin Pitt ]
  * Add 00git_pkexec_pam_env.patch: pkexec: Set process environment from
    pam_getenvlist(). Backported from upstream git head.
  * 01_pam_polkit.patch: Adjust patch to invoke pam_env, so
    our global settings from /etc/default/locale are applied correctly.
    Thanks Steve Langasek!

  [ Michael Biebl ]
  * Use gir addon instead of calling dh_girepository manually.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Jun 2013 05:54:32 +0200

policykit-1 (0.110-2) experimental; urgency=low

  * When cleaning up /etc/polkit-1/nullbackend.conf.d/ and
    /etc/polkit-1/localauthority.conf.d/ don't fail if those directories have
    already been removed. (Closes: #698085)

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Jan 2013 06:01:36 +0100

policykit-1 (0.110-1) experimental; urgency=low


