=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>, Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 pkg-config,
 libglib2.0-dev (>= 2.30.0),
 libexpat1-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libmozjs185-dev,
 gtk-doc-tools,
 xsltproc,
 libgirepository1.0-dev (>= 0.9.12),
 gobject-introspection (>= 0.9.12-4~),
 libglib2.0-doc,
 libgtk-3-doc,
 libsystemd-dev [linux-any]
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-utopia/policykit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/policykit.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/polkit

Package: policykit-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  libpam-systemd [linux-any], consolekit [!linux-any],
  dbus, adduser
Multi-Arch: foreign
Breaks: gdm3 (<< 3.8.4-7~)
Description: framework for managing administrative policies and privileges
 PolicyKit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.

Package: policykit-1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for PolicyKit-1
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the API documentation of PolicyKit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Breaks: policykit-1 (<< 0.99), libpolkit-gtk-1-0 (<< 0.99), libpolkit-agent-1-0 (<< 0.99)
Description: PolicyKit Authorization API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing PolicyKit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-gobject-1-0 (= ${binary:Version}), ${misc:Depends}, libglib2.0-dev, gir1.2-polkit-1.0 (= ${binary:Version})
Description: PolicyKit Authorization API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: PolicyKit Authentication Agent API
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends: libpolkit-agent-1-0 (= ${binary:Version}), ${misc:Depends}, libpolkit-gobject-1-dev, gir1.2-polkit-1.0 (= ${binary:Version})
Description: PolicyKit Authentication Agent API - development files
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: GObject introspection data for PolicyKit
 PolicyKit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 .
 This package contains introspection data for PolicyKit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
