## policykit-1 121+compat0.1

=== debian/changelog ===
policykit-1 (121+compat0.1-6.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 14 Oct 2022 12:01:13 +0300

policykit-1 (121+compat0.1-6) unstable; urgency=medium

  * d/polkitd.examples: Really install the example rules mentioned in NEWS
  * d/control: Explicitly build-depend on docbook-xsl.
    polkit-pkla-compat needs this for the man pages, which cannot currently
    be disabled, so it is not marked as <!nodoc> (and neither is xsltproc).
  * Only build API documentation if policykit-1-doc is built.
    It doesn't need to be built when we're doing an architecture-specific
    build, and we can also mark it with the <!nodoc> build-profile (although
    that's not particularly useful in this case because it's the only
    arch-indep binary package).

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Oct 2022 21:05:11 +0100

policykit-1 (121+compat0.1-5) unstable; urgency=medium

  * Release to unstable (Closes: #946231, #1018897)

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Oct 2022 10:46:03 +0100

policykit-1 (121+compat0.1-4) experimental; urgency=medium

  * d/polkitd.postinst: Consistently indent with spaces
  * d/polkitd.postinst: Quote defensively
  * d/polkitd.postinst: Don't explicitly restart the systemd service.
    dh_installsystemd does this for us anyway.
  * d/polkitd.postinst: Make sure message bus policy is reloaded if needed.
    If we created or modified the polkitd user, then we need to refresh
    dbus-daemon's cached policy to take that user into account, otherwise
    polkitd will fail to start. This fixes an autopkgtest failure.
  * d/polkitd.postinst: Stop polkitd when not using systemd.
    On non-systemd systems, polkitd is a traditional D-Bus service and is
    not managed by a service manager, so the way to ensure we are running
    the upgraded version is to stop it and let the D-Bus system bus activate
    a new copy next time it is used.
  * Install a sysusers.d(5) fragment to set up the system user.
    This allows use of polkit without adduser on systems that have either
    systemd or systemd-standalone-sysusers.
  * d/polkitd.tmpfiles: Provide a tmpfiles.d(5) fragment for our directories
  * Add another override for man pages not matching Lintian expectations
  * d/rules: Build with hardening=+bindnow
  * Add doc-base metadata for the reference manual

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Oct 2022 15:00:55 +0100

policykit-1 (121+compat0.1-3) experimental; urgency=medium

  * Merge content of polkitd-javascript into polkitd.
    Keep the polkitd-javascript package as a transitional package.

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Sep 2022 12:19:38 +0100

policykit-1 (121+compat0.1-2) experimental; urgency=medium

  * Add a NEWS file describing the change of security policy format
  * d/control: policykit-1 Recommends polkitd-pkla.
    This arranges for upgrades from Debian 11 to install polkitd-pkla by
    default, preserving previous functionality, while also allowing it to
    be removed for legacy-free systems.
  * d/pkla/: Remove, no longer installed or used
  * d/example-rules: Add some examples of the JavaScript rules format
  * d/changelog: Merge changelog entries from testing/unstable, in
    preparation for uploading this branch to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Sep 2022 21:33:22 +0100

policykit-1 (121+compat0.1-1) experimental; urgency=medium

  * Restructure the package to use upstream project polkit-pkla-compat
    for compatibility with 0.105 and older versions.
    - polkitd-javascript is now the only implementation of polkitd.
      The packages will probably be merged in a future upload, but keep
      them separate for now as a contingency plan.
    - polkitd-pkla now Depends on polkitd-javascript instead of having
      Breaks/Replaces on it. It's now an addon for polkitd-javascript,
      which calls out to an external helper program to check authorization
      against the old pklocalauthority(8) configuration files.
    - polkitd-javascript: Ensure that the polkitd user has a primary group.
      The polkit-pkla-compat package wants its directories to be owned by
      root:polkitd, which will only work if the polkitd user has a
      corresponding polkitd group.
    - Add polkit-pkla-compat as a secondary upstream tarball
    - Build polkit-pkla-compat instead of a PKLA build of polkitd
    - Drop patches that reinstated the ability to do a PKLA build of polkitd
  * d/p/polkitbackendduktapeauthority.c-Print-the-error-string-we.patch:
    Add patch from upstream to display error string as intended
  * d/control: Explicitly build-depend on xml-core, for its dh addon
  * d/copyright: Update
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)
  * d/tests: Skip if dbus-daemon is not running and cannot be started
  * Try harder to clean up obsolete conffiles

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Sep 2022 15:59:38 +0100

policykit-1 (121-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Use dh-sequence-gir Build-Depends to enable the gir addon
  * Remove no longer needed dh option.
    Upstream has removed the autotools based build system so we no longer
    need to tell dh which build system to use.
  * Remove workaround for missing mocklibc

  [ Simon McVittie ]
  * d/copyright: Reinstate entry for test/mocklibc
  * d/polkitd.install: Really install the XML catalog entry
  * d/rules: Enable xml-core dh sequence
  * d/catalog.xml: Fix basename of DTD

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jul 2022 16:04:32 +0100

policykit-1 (121-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Refresh remaining patches
  * d/control: Build-depend on duktape instead of mozjs
  * Install policyconfig-1.dtd in polkitd package, with an XML catalog
    entry (Closes: #872615)

