=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders:  Svante Signell <svante.signell@gmail.com>,
            Dimitri Puzin <max@psycast.de>,
            Daniel Reurich <daniel@centurion.net.nz>,
	    Mark Hindley <mark@hindley.org.uk>
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 docbook-xsl,
 duktape-dev (>= 2.2.0),
 gobject-introspection (>= 0.9.12-4~),
 intltool (>= 0.40.0),
 libexpat1-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.30.0),
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libelogind-dev [linux-any],
 meson (>= 0.50.0),
 pkg-config,
 xml-core,
 xsltproc,
 python3-dbusmock <!nocheck>,
Build-Depends-Indep:
 gtk-doc-tools <!nodoc>,
 libglib2.0-doc <!nodoc>,
 libgtk-3-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Git: https://git.devuan.org/devuan/policykit-1.git
Vcs-Browser: https://git.devuan.org/devuan/policykit-1/
Origin: Devuan
Homepage: https://www.freedesktop.org/wiki/Software/polkit/

Package: polkitd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 default-dbus-system-bus | dbus-system-bus,
 consolekit | seatd | default-logind |  logind,
 ${misc:Depends},
Suggests:
 polkitd-pkla (>= 121+compat0.1),
Breaks:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Replaces:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Multi-Arch: foreign
Description: framework for managing administrative policies and privileges
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.
 .
 In a typical use of polkit, an unprivileged application such as gnome-disks
 sends requests via D-Bus or other inter-process communication mechanisms
 to a privileged system service such as udisks, which asks polkitd for
 permission to process those requests. This allows the application to carry
 out privileged tasks without making use of setuid, which avoids several
 common sources of security vulnerabilities.
 .
 This package provides the polkitd D-Bus service and supporting programs.
 The pkexec program is not included, and can be found in the pkexec package.

Package: polkitd-javascript
Section: oldlibs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: transitional package for JavaScript backend for polkitd
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This transitional package exists to provide smooth upgrades from older
 policykit-1 packages in experimental, and can safely be removed.

Package: polkitd-pkla
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (>= 121+compat0.1),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
Replaces:
 policykit-1 (<< 0.120-4~),
Multi-Arch: foreign
Description: Legacy "local authority" (.pkla) backend for polkitd
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package configures the polkitd D-Bus service to read default
 authorization policies from .desktop-style files in subdirectories of
 /var/lib/polkit-1/localauthority. It is compatible with the version of
 polkitd used in Debian 11 and older releases.

Package: pkexec
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
Replaces:
 policykit-1 (<< 0.120-4~),
Multi-Arch: foreign
Description: run commands as another user with polkit authorization
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 pkexec is a setuid program to allow certain users to run commands as
 root or as a different user, similar to sudo. Unlike sudo, it carries
 out authentication and authorization by sending a request to polkit,
 so it uses desktop environments' familiar prompting mechanisms for
 authentication and uses polkit policies for authorization decisions.
 .
 By default, members of the 'sudo' Unix group can use pkexec to run any
 command after authenticating. The authorization rules can be changed by
 the local system administrator.
 .
 If this functionality is not required, removing the pkexec package will
 reduce security risk by removing a setuid program.

Package: policykit-1
Section: oldlibs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 pkexec (= ${binary:Version}),
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 polkitd-pkla (>= 121+compat0.1),
Multi-Arch: foreign
Description: transitional package for polkitd and pkexec
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This transitional package depends on polkitd, the system service used by
 polkit, and pkexec, a setuid program analogous to sudo. They were
 historically packaged together, but have been separated so that users of
 polkitd are not required to install pkexec.

Package: policykit-1-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: documentation for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the API documentation of polkit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 libpolkit-gobject-elogind-1-0 | libpolkit-gobject-consolekit-1-0
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package is transitional package, depending on
 libpolkit-gobject-elogind-1-0 or libpolkit-gobject-consolekit-1-0 for upgrades
 of libpolkit-gobject-1-0. It can safely be removed.

Package: libpolkit-gobject-1-dev
Priority: optional
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 libpolkit-gobject-elogind-1-dev | libpolkit-gobject-consolekit-1-dev
Multi-Arch: foreign
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that allows
 unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package is transitional package, depending on
 libpolkit-gobject-elogind-1-dev or libpolkit-gobject-consolekit-1-dev for
 upgrades of libpolkit-gobject-1-dev. It can safely be removed.

Package: libpolkit-gobject-consolekit-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version})
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing polkit with
 consolekit session management.

Package: libpolkit-gobject-consolekit-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-consolekit-1-0 (= ${binary:Version}),
 ${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-elogind-1-dev
Replaces: libpolkit-gobject-1-dev
Description: polkit Authorization API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-consolekit-1-0.

Package: libpolkit-gobject-elogind-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libpam-ck-connector, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version}),
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing polkit with
 elogind session management.

Package: libpolkit-gobject-elogind-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-elogind-1-0 (= ${binary:Version}),
 ${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-consolekit-1-dev
Replaces: libpolkit-gobject-1-dev
Description: polkit Authorization API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-elogind-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: polkit Authentication Agent API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libpolkit-agent-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${misc:Depends},
Description: polkit Authentication Agent API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gir1.2-polkitagent-1.0 (= ${binary:Version}),
Description: GObject introspection data for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains introspection data for polkit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
