=== debian/watch ===
version=4
opts="filenamemangle=s/.*\///g, dversionmangle=s/\+(ds|dfsg|compat)[0-9.]*$//, uversionmangle=s/$/+compat0.1/, pgpmode=auto" \
  https://www.freedesktop.org/software/polkit/releases/ \
  polkit-@ANY_VERSION@@ARCHIVE_EXT@
# Update the version in parentheses as needed to correspond to the version
# of polkit-pkla-compat and adjust the uversionmangle above accordingly,
# in the unlikely event that there is ever another release
opts="filenamemangle=s/.*\///g, dversionmangle=s/\+(ds|dfsg|compat)[0-9.]*$//, component=polkit-pkla-compat" \
https://releases.pagure.org/polkit-pkla-compat/ \
  polkit-pkla-compat-(0\.1)@ARCHIVE_EXT@
