=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
-Uploaders:  Svante Signell <svante.signell@gmail.com>,
-            Dimitri Puzin <max@psycast.de>,
-            Daniel Reurich <daniel@centurion.net.nz>,
-	    Mark Hindley <mark@hindley.org.uk>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Michael Biebl <biebl@debian.org>,
+ Martin Pitt <mpitt@debian.org>,
+ Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
  docbook-xsl,
- duktape-dev (>= 2.2.0),
- gobject-introspection (>= 0.9.12-4~),
- intltool (>= 0.40.0),
+ duktape-dev,
+ gobject-introspection,
+ intltool,
  libexpat1-dev,
- libgirepository1.0-dev (>= 0.9.12),
- libglib2.0-dev (>= 2.30.0),
+ libgirepository1.0-dev,
+ libglib2.0-dev,
  libpam0g-dev,
  libselinux1-dev [linux-any],
- libelogind-dev [linux-any],
+ libsystemd-dev [linux-any],
  meson (>= 0.50.0),
  pkg-config,
  xml-core,
@@ -30,10 +30,9 @@
  libglib2.0-doc <!nodoc>,
  libgtk-3-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Vcs-Git: https://git.devuan.org/devuan/policykit-1.git
-Vcs-Browser: https://git.devuan.org/devuan/policykit-1/
-Origin: Devuan
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
 Homepage: https://www.freedesktop.org/wiki/Software/polkit/
 
 Package: polkitd
@@ -41,10 +40,11 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser,
+ adduser | systemd-sysusers,
  default-dbus-system-bus | dbus-system-bus,
- consolekit | seatd | default-logind |  logind,
- ${misc:Depends},
+ default-logind | logind,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests:
  polkitd-pkla (>= 121+compat0.1),
 Breaks:
@@ -186,112 +186,34 @@
 Package: libpolkit-gobject-1-0
 Architecture: any
 Section: libs
-Depends:
- ${misc:Depends},
- libpolkit-gobject-elogind-1-0 | libpolkit-gobject-consolekit-1-0
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: polkit Authorization API
  polkit is a toolkit for defining and handling the policy that
  allows unprivileged processes to speak to privileged processes.
  It was previously named PolicyKit.
  .
- This package is transitional package, depending on
- libpolkit-gobject-elogind-1-0 or libpolkit-gobject-consolekit-1-0 for upgrades
- of libpolkit-gobject-1-0. It can safely be removed.
+ This package contains a library for accessing polkit.
 
 Package: libpolkit-gobject-1-dev
-Priority: optional
-Architecture: all
-Section: oldlibs
-Depends:
- ${misc:Depends},
- libpolkit-gobject-elogind-1-dev | libpolkit-gobject-consolekit-1-dev
-Multi-Arch: foreign
-Description: polkit Authorization API
- polkit is a toolkit for defining and handling the policy that allows
- unprivileged processes to speak to privileged processes.
- It was previously named PolicyKit.
- .
- This package is transitional package, depending on
- libpolkit-gobject-elogind-1-dev or libpolkit-gobject-consolekit-1-dev for
- upgrades of libpolkit-gobject-1-dev. It can safely be removed.
-
-Package: libpolkit-gobject-consolekit-1-0
-Architecture: any
-Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
-Conflicts: libpolkit-gobject-elogind-1-0
-Replaces: libpolkit-gobject-1-0
-Provides: libpolkit-gobject-1-0 (= ${binary:Version})
-Multi-Arch: same
-Description: polkit Authorization API
- polkit is a toolkit for defining and handling the policy that
- allows unprivileged processes to speak to privileged processes.
- It was previously named PolicyKit.
- .
- This package contains a library for accessing polkit with
- consolekit session management.
-
-Package: libpolkit-gobject-consolekit-1-dev
 Architecture: any
 Section: libdevel
 Depends:
  gir1.2-polkit-1.0 (= ${binary:Version}),
  libglib2.0-dev,
- libpolkit-gobject-consolekit-1-0 (= ${binary:Version}),
- ${misc:Depends}
-Provides: libpolkit-gobject-1-dev
-Conflicts: libpolkit-gobject-elogind-1-dev
-Replaces: libpolkit-gobject-1-dev
+ libpolkit-gobject-1-0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: polkit Authorization API - development files
  polkit is a toolkit for defining and handling the policy that
  allows unprivileged processes to speak to privileged processes.
  It was previously named PolicyKit.
  .
  This package contains the development files for the library found in
- libpolkit-gobject-consolekit-1-0.
-
-Package: libpolkit-gobject-elogind-1-0
-Architecture: any
-Section: libs
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Conflicts: libpam-ck-connector, libpolkit-gobject-consolekit-1-0
-Replaces: libpolkit-gobject-1-0
-Provides: libpolkit-gobject-1-0 (= ${binary:Version}),
-Multi-Arch: same
-Description: polkit Authorization API
- polkit is a toolkit for defining and handling the policy that
- allows unprivileged processes to speak to privileged processes.
- It was previously named PolicyKit.
- .
- This package contains a library for accessing polkit with
- elogind session management.
-
-Package: libpolkit-gobject-elogind-1-dev
-Architecture: any
-Section: libdevel
-Depends:
- gir1.2-polkit-1.0 (= ${binary:Version}),
- libglib2.0-dev,
- libpolkit-gobject-elogind-1-0 (= ${binary:Version}),
- ${misc:Depends}
-Provides: libpolkit-gobject-1-dev
-Conflicts: libpolkit-gobject-consolekit-1-dev
-Replaces: libpolkit-gobject-1-dev
-Description: polkit Authorization API - development files
- polkit is a toolkit for defining and handling the policy that
- allows unprivileged processes to speak to privileged processes.
- It was previously named PolicyKit.
- .
- This package contains the development files for the library found in
- libpolkit-gobject-elogind-1-0.
+ libpolkit-gobject-1-0.
 
 Package: libpolkit-agent-1-0
 Architecture: any
