=== debian/tests/control ===
Tests: cli
Depends: policykit-1
Restrictions: isolation-container, skippable

Tests: cli-root
Depends: policykit-1
Restrictions: isolation-container, needs-root, skippable
